Bug 1403132 - Raspberry Pi 3 can't boot - mmcblk0: card_busy_detect: error sending status command, status 0x80900
Summary: Raspberry Pi 3 can't boot - mmcblk0: card_busy_detect: error sending status c...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: armv7hl
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2016-12-09 07:30 UTC by Aram Agajanian
Modified: 2019-01-09 12:54 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-11 10:14:17 UTC


Attachments (Terms of Use)

Description Aram Agajanian 2016-12-09 07:30:30 UTC
Description of problem:
I wrote the Fedora 25 Minimal ARM image to a Micro SD card and have been using it since last Saturday.

The only abnormal thing about the system before today was that the green light didn't come on at all while the OS ran.  I did see it blink a couple of times during a reboot.

This evening, when I went to use the server, I found that it wasn't working properly.

Logging in via ssh, I found that the filesystems were mounted read-only.

When I ran the dmesg command, I saw a lot of error messages like the following:

[408263.448959] EXT4-fs warning (device mmcblk0p4): ext4_end_bio:314: I/O error -5 writing to inode 257537 (offset 0 size 0 starting block 1083856)
[408263.477833] mmcblk0: card_busy_detect: error sending status cmd, status 0x80900
[408263.491285] mmcblk0: retrying write for general error
[408264.800799] JBD2: Detected IO errors while flushing file data on mmcblk0p4-8
[408266.306262] blk_update_request: I/O error, dev mmcblk0, sector 8671792
[408275.440030] Write-error on swap-device (179:0:2928704)

I was able to log in as root on the console.  I rebooted.

Now, when the computer boots, I get a lot of errors related to mmcblk0.  The OS displays "Entering emergency mode.  Exit the shell to continue."  There is a prompt but the USB keyboard doesn't seem to work after that.

Version-Release number of selected component (if applicable):
Fedora 25 Rescue be8fc86d370c43568e6fcccf94ffe4d3 (4.8.10-300.fc25.armv7hl)
Fedora (4.8.10-300.fc25.armv7hl) 25 (Twenty Five)
Fedora-Minimal-armhfp-25-1.3 (4.8.6-300.fc25-armv7hl)

How reproducible:
Happens every time

Steps to Reproduce:
1.  Connect power supply to Raspberry Pi 3 computer

Actual results:
Errors related to mmcblk0 are displayed.  Emergency mode prompt displayed.  Keybaord doesn't work.

Expected results:
OS should boot normally.

Comment 1 Aram Agajanian 2016-12-11 04:39:35 UTC
I tried to run fsck on the filesystems on the SD card from my NUC. Partitions 2 and 4 couldn't resolve their errors with fsck.

I then tried to re-write Fedora-Minimal-armhfp-25-1.3-sda.raw to the SD card and there were write errors.  So, I gave up on that SD card.  Interestingly, this is a well-known brand class 10 SD card.  I hard purchased the same model one year ago and I had similar problems. 

So, I have switched to a different SD card.  This one is older but has been working reliably for almost 2 years.  It was made by a different well-known brand.  Hopefully, it will continue to be reliable.

I should also note that the green indicator light still doesn't work when Fedora 25 is running.

Comment 2 Laura Abbott 2017-01-17 01:14:59 UTC
*********** MASS BUG UPDATE **************
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.
 
Fedora 25 has now been rebased to 4.9.3-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.
 
If you experience different issues, please open a new bug report for those.

Comment 3 Peter Robinson 2017-02-16 12:24:41 UTC
> I then tried to re-write Fedora-Minimal-armhfp-25-1.3-sda.raw to the SD card
> and there were write errors.  So, I gave up on that SD card.  Interestingly,
> this is a well-known brand class 10 SD card.  I hard purchased the same
> model one year ago and I had similar problems. 
> 
> So, I have switched to a different SD card.  This one is older but has been
> working reliably for almost 2 years.  It was made by a different well-known
> brand.  Hopefully, it will continue to be reliable.

You are able to explicitly mention makes/models rather than saying "well-known brand". I test on SanDisk Ultra and Samsung EVO without issues.

> I should also note that the green indicator light still doesn't work when
> Fedora 25 is running.

This might be fixed in the 4.10 kernel.

Comment 4 Aram Agajanian 2017-02-19 22:25:27 UTC
(In reply to Peter Robinson from comment #3)
> 
> You are able to explicitly mention makes/models rather than saying
> "well-known brand". I test on SanDisk Ultra and Samsung EVO without issues.
> 

My old reliable Micro SD card is a Samsung EVO.

I have had trouble with two SanDisk Micro SD cards.  The model names are SanDisk Ultra (2015) and SanDisk Ultra Plus (2016).


Note You need to log in before you can comment on or make changes to this bug.